@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

album {
    border: thin solid black;
    border-radius: 0.5em;
    box-shadow: 0.25em 0.25em 0.5em gray;
    display: block;
    font-family: "Segoe UI", Inter, Arial, sans-serif;
    margin: 1em auto;
    padding: 1em;
    width: fit-content;
}

artist, album > title, year {
    font-size: x-large;
    font-weight: bold;
    display: inline-block;
    margin-bottom: 0.5em;
}

artist::after {
    content: " \2013 ";
}

year::before {
    content: "(";
}

year::after {
    content: ")";
}

tracks {
    counter-reset: track-number;
    display: table;
    width: 100%;
}

track {
    display: table-row;
    transition: background-color 0.4s, font-weight 0.4s;
}

track > title, length {
    display: table-cell;
    padding: 0.5em;
}

track > title::before {
    content: counter(track-number) ".";
    counter-increment: track-number;
    display: inline-block;
    margin-right: 0.5em;
    text-align: right;
    width: 2em;
}

length {
    font-variant-numeric: tabular-nums;
    text-align: right;
}

track:nth-child(odd) {
    background-color: whitesmoke;
}

track:nth-child(even) {
    background-color: white;
}

track:hover {
    background-color: gold;
    cursor: pointer;
    font-weight: bold;
}